anlogicCable:

  - Name: anlogic JTAG adapter
    Description: JTAG adapter firmware for stm32
    URL: https://github.com/AnlogicInfo/anlogic-usbjtag


arm-usb-ocd-h:

  - Name: Olimex ARM-USB-OCD-H adapter
    Description: High-speed 3-IN-1 fast USB ARM JTAG, USB-to-RS232 virtual port and power supply 5VDC device 
    URL: https://www.olimex.com/Products/ARM/JTAG/ARM-USB-OCD-H/


bus_blaster:

  - Name: Dangerousprototypes Bus Blaster
    Description: Jtag adapter based on ft2232
    URL: http://dangerousprototypes.com/docs/Bus_Blaster


bus_blaster_b:

  - Name: Dangerousprototypes Bus Blaster
    Description: Jtag adapter based on ft2232 (interface B)
    URL: http://dangerousprototypes.com/docs/Bus_Blaster


ch552_jtag:
  - Name: ch552 JTAG adapter
    Description: Tang Nano USB-JTAG interface. FT2232C clone firmware for CH552 microcontroler
    URL: https://github.com/diodep/ch55x_jtag


cmsisdap:

  - Name: ARM CMSIS DAP protocol interface
    Description: ARM CMSIS DAP protocol interface (hid only)
    URL: https://os.mbed.com/docs/mbed-os/v6.11/debug-test/daplink.html


gatemate_pgm:

  - Name: gatemate pgm
    Description: Cologne Chip GateMate FPGA Programmer. FT232H-based JTAG/SPI programmer cable
    URL: https://colognechip.com/programmable-logic/gatemate/


gatemate_evb_jtag:
  - Name: gatemate evb JTAG
    Description: Cologne Chip GateMate JTAG programmer
    URL: https://colognechip.com/programmable-logic/gatemate/


gatemate_evb_spi:

  - Name: gatemate evb spi
    Description: Cologne Chip GateMate SPI programmer
    URL: https://colognechip.com/programmable-logic/gatemate/


dfu:

  - Name: DFU interface
    Description: DFU (Device Firmware Upgrade) USB device compatible with DFU protocol
    URL: http://www.usb.org/developers/docs/devclass_docs/DFU_1.1.pdf


digilent:

  - Name: digilent cable 
    Description: FT2232 JTAG / UART cable


diglent_b:

  - Name: digilent cable 
    Description: digilent FT2232 JTAG / UART cable (interface B)


digilent_hs2:

  - Name: digilent hs2 cable
    Description: FT232H JTAG programmer cable from digilent
    URL: https://store.digilentinc.com/jtag-hs2-programming-cable/


digilent_hs3:
  - Name: digilent hs3
    Description: JTAG programmer cable from digilent
    URL: https://digilent.com/shop/jtag-hs3-programming-cable/


dirtyJtag:
  - Name: dirty Jtag
    Description: JTAG probe firmware for STM32F1
    URL: https://github.com/jeanthom/DirtyJTAG
    Note: Best to use release (1.4 or newer) or limit the --freq to 600000 with older releases.
          New version `dirtyjtag2 <https://github.com/jeanthom/DirtyJTAG/tree/dirtyjtag2>`__ is also supported


efinix_spi_ft4232:

  - Name: efinix SPI (ft4232)
    Description: efinix SPI interface (FTDI4232 interface A)


efinix_jtag_ft4232:

  - Name: efinix JTAG (ft4232)
    Description: efinix JTAG interface (FTDI4232 interface B)


efinix_spi_ft2232:

  - Name: efinix SPI (ft2232)
    Description: efinix SPI interface (FTDI2232 interface A)


ft2232:

  - Name: FT2232 C/D/H
    Description: generic programmer cable based on Ftdi FT2232 (interface A)

  - Name: Tang Nano (1k, 4k, 8k) USB-JTAG interface
    Description: USB-JTAG/UART debugger based on BL702 microcontroler.
    URL: https://github.com/sipeed/RV-Debugger-BL702

  - Name: Sipeed RV-Debugger-BL702
    Description: RV-Debugger-BL702 is an opensource project that implement a JTAG+UART debugger with BL702C-A0.
    URL: https://github.com/sipeed/RV-Debugger-BL702

  - Name: honeycomb USB-JTAG interface.
    Description: FT2232C clone based on STM32F042 microcontroler
    URL: https://github.com/Disasm/f042-ftdi


ft2232_b:

  - Name: FT2232 C/D/H
    Description: generic programmer cable based on Ftdi FT2232 (interface B)


ft231X:

  - Name: FT231X
    Description: generic USB<->UART converters in bitbang mode (with some limitations and workaround)
    URL: https://www.ftdichip.com/old2020/Products/ICs/FT231X.html


ft232:

  - Name: FT232H
    Description: generic programmer cable based on Ftdi FT232Hx. One interface, MPSSE capable
    URL: https://ftdichip.com/products/ft232hl/


ft232RL:

  - Name: FT232RL
    Description: generic USB<->UART converters in bitbang mode (with some limitations and workaround)
    URL: https://ftdichip.com/products/ft232rl/


ft4232:

  - Name: FT4232
    Description: quad interface programmer cable. MPSSE capable.
    URL: https://ftdichip.com/products/ft4232h-56q/


ecpix5-debug:

  - Name: ecpix5-debug
    Description: LambdaConcept ECPIX5 (45k/85k) UART/JTAG interface
    URL: https://shop.lambdaconcept.com/home/46-ecpix-5.html


jlink:

  - Name: jlink
    Description: SEGGER J-Link Debug Probes
    URL: https://www.segger.com/products/debug-probes/j-link


jtag-smt2-nc:

  - Name: jtag-smt2-nc
    Description: JTAG-SMT2-NC Surface-mount Programming Module
    URL: https://digilent.com/shop/jtag-smt2-nc-surface-mount-programming-module


orbtrace:

  - Name: orbtrace interface
    Description: Open source FPGA-based debug and trace interface
    URL: https://github.com/orbcode/orbtrace


tigard:

  - Name: tigard
    Description: SWD/JTAG/UART/SPI programmer based on Ftdi FT2232HQ
    URL: https://www.crowdsupply.com/securinghw/tigard


usb-blaster:

  - Name: intel USB Blaster I interface
    Description: JTAG programmer cable from intel/altera (FT245 + EPM7064)


usb-blasterII:

  - Name: intel USB Blaster II interface
    Description: JTAG programmer cable from intel/altera (EZ-USB FX2 + EPM570)
    URL: https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/ug/ug_usb_blstr_ii_cable.pdf
